Name: openpyn
Version: 2.7.5
Release: 1%{?dist}
License: GPLv3
Summary: A python3 script to manage openvpn connections
Url: https://pypi.org/project/openpyn/
Source0: %pypi_source
Source1: %{name}.logrotate
Patch01: 0001-remove-unneeded-shebangs.patch

BuildArch: noarch
BuildRequires: python3-devel
BuildRequires: python3-setuptools

Requires: logrotate

%description
Openpyn is a python3 script (systemd service as well) to manage openvpn
connections. Created to easily connect to and switch between, OpenVPN servers
hosted by NordVPN. Quickly Connect to the least busy servers with lowest latency
from you (using current data from Nordvpn's API). Find servers in a specific
country or even a city. It Tunnels DNS traffic through the VPN which normally
(when using OpenVPN) goes through your ISP's DNS (unencrypted) and compromises
Privacy!


#-- PREP, BUILD & INSTALL -----------------------------------------------------#
%prep
%autosetup -p1

%build
%py3_build

%install
%py3_install

# logging
install -d -m 0755 %{buildroot}%{_localstatedir}/log/%{name}/
install -d -m 0755 %{buildroot}%{_sysconfdir}/logrotate.d
install -p -m 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}


#-- FILES ---------------------------------------------------------------------#
%files
%doc README.md
%doc PKG-INFO
%license LICENSE.md
%{_bindir}/%{name}
%{_bindir}/%{name}-management
%{python3_sitelib}/%{name}-*.egg-info/
%{python3_sitelib}/%{name}/
%{_localstatedir}/log/%{name}
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
# the service file is created from user-specified options on first run
%ghost %attr(0644, root, root) %config(noreplace) %{_sysconfdir}/systemd/system/%{name}.service

#-- CHANGELOG -----------------------------------------------------------------#
%changelog
* Tue Nov 24 2020 Christopher Engelhard <ce@lcts.de> 2.7.5-1
- initial release of openpyn 2.7.5

